%define name    kbeam
%define version 0.61
%define release 1mdk

Name:           %{name} 
Summary:        Tools to beam files via Irda
Version:        %{version} 
Release:        %{release} 
Source0:        http://www.tuxedo.org/~esr/gif2png/%{name}-%{version}.tar.bz2 
#Source1:        %{name}-%{version}.tar.bz2
#Patch0:         gif2png-2.0.1-bugfix.patch.bz2 
URL:            https://sourceforge.net/projects/kbeam/ 
Group:          Communications
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 
BuildRequires:	kdelibs-devel openobex-devel ImageMagick

%description
KBeam is a KDE application that lets you easily beam files back 
and forth between your computer and another device (like a PDA) using IR.

%prep 
%setup -q
#-a 1 
#%patch -p1 

%build 
%configure2_5x --disable-rpath
%make

%install
%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{name}" \
icon="%{name}.png" \
needs="X11" \
section="More Applications/Communications" \
title="Kbeam" \
longtitle="Infrared connection with devices"
EOF

# icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/icons/hi64-app-kbeam.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
cp src/icons/hi32-app-kbeam.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp src/icons/hi16-app-kbeam.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

#If rpmlint complains about libs beeing rpath
#chrpath -d kbeam

%clean 
rm -rf $RPM_BUILD_ROOT 

%post
%update_menus

%postun
%update_menus

%files -f %name.lang
%defattr(-,root,root) 
%doc README NEWS AUTHORS 
%{_bindir}/*
%{_datadir}/apps/%name
%{_datadir}/applnk/System/%{name}.desktop
%{_datadir}/autostart/%{name}.autostart.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_menudir}/%name
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
#%{_mandir}/man1/gif2png.1*
#%{_mandir}/man1/web2png.1*
#%{_bindir}/gif2png 
#%{_bindir}/web2png 

%changelog 
* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.61-1mdk
- 0.61

* Wed Sep 1 2004 Austin Acton <austin@mandrake.org> 0.6-1mdk
- from Alexios Beveratos <abeverat@bluewin.ch> :
  - First build from 0.6

